For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Employer of Record
    • Introduction
    • Employment cost calculator
    • Hiring
    • Accept quote
    • Amendments
  • EOR Endpoints
      • POSTAccept EOR project assignment as client
      • GETFetch EOR project assignment PDF
      • GETFetch Project Assignment Checkin Questionnaire Data
      • POSTSubmit Project Assignment Checkin Questionnaire Data
  • EOR Worker Endpoints
LogoLogo
SupportDeel Home
EOR EndpointsEOR Project Assignment

Fetch Project Assignment Checkin Questionnaire Data

GET
/eor/contracts/:contract_id/project-assignment/checkin
GET
/rest/v2/eor/contracts/:contract_id/project-assignment/checkin
$curl -G https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin \
> -H "Authorization: Bearer <token>" \
> -d version=e374540fc9a92390f9a1
1{
2 "data": {
3 "id": "550e8400-e29b-41d4-a716-446655440004",
4 "sections": [
5 {
6 "title": "Section Title",
7 "questions": [
8 {
9 "key": "questionExampleId",
10 "type": "Dropdown",
11 "title": "Please confirm, that you have read through the Employment Compliance Notice above",
12 "options": [
13 {
14 "title": "Yes",
15 "value": "Yes"
16 },
17 {
18 "title": "No",
19 "value": "No"
20 }
21 ],
22 "is_required": true,
23 "default_value": 40,
24 "is_only_digits": false
25 }
26 ]
27 }
28 ],
29 "created_at": "2025-02-14T12:34:56.000Z",
30 "updated_at": "2025-02-15T09:12:34.000Z"
31 }
32}

Returns the checkin questionnaire for a project assignment, including all sections and questions required for completion. The optional version parameter ensures the fetched questionnaire matches an expected version before it is rendered or submitted. Token scopes: contracts:read

Was this page helpful?
Previous

Submit Project Assignment Checkin Questionnaire Data

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the contract.

Query parameters

versionstringOptional=20 characters

This field is to ensure that the latest version of the project assignment checkin matches the version received from the webhook. If it is not sent, the version validation is not performed. If it is sent, it is checked whether the current version is equal to the version sent; if not, a 409 error occurs, otherwise, the data is returned.

Response

Successful response containing form configuration data.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication